//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//

//
// p4wChangesProcessorView -- parses form for Next x changes and generates
// 	submitted changelists

#ifndef p4wChangesProcessorView_H
#define p4wChangesProcessorView_H


//
// Includes

#include "p4wView.h"


//
// p4wChangesProcessorView class

class p4wChangesProcessorView : public p4wView {

public:
	//
	// Constructors and destructor.
				p4wChangesProcessorView(p4wRequest & Request);

	virtual			~p4wChangesProcessorView();

	// Control item render functions.

	virtual	void		RenderRssHdrLink( p4wHtml *htm );
	virtual	void		RenderContent();
	virtual int 		RenderUpdateOK();
	virtual void		RenderMenu();
	
private:
	int			fError;
	int			fnewServer;
};

#endif // p4wChangesProcessorView_H

