// Copyright 1999 (c) by Perforce Software, Inc.  All rights reserved.
//
// p4wUploadLocalProcessorView:
//   The Upload Local File processor view.

#ifndef P4WUploadLocalPROCESSORVIEW_H
#define P4WUploadLocalPROCESSORVIEW_H


//
// Includes

#include "p4wRunView.h"

//
// p4wUploadLocalProcessorView class

class p4wUploadLocalProcessorView : public p4wView {

public:
	//
	// Constructors and destructor.
				p4wUploadLocalProcessorView(p4wRequest & Request);
	virtual			~p4wUploadLocalProcessorView();

	// Control item render functions.

	virtual	void		Render();

	char *	SaveFile(char *path, char *type);

	char *	GetErrorMsg() { return fErrMsg; }

private:
	int   fPostLgth;
	char *fPost;
	char *fErrMsg;

	//
	// Our request class.
	
	p4wRequest &fRequest;
};

#endif // P4WUploadLocalPROCESSORVIEW_H
